<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbAppSetting" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceMain.dll" Enable="1">
			<ExtraConfig>
				<Title>CZC Halfling GK750</Title>
				<MainUI>
					<Category>
						<Panel Init="1">GM::BasicUI</Panel>
						<Panel>GM::AdvancedUI</Panel>
						<Panel>GM::LightingUI</Panel>
						<!--Panel>GM::GamingModeUI</Panel-->
						<Panel>GM::MacroUI</Panel>
					</Category>
					<Category>
						<Panel>GK::CustomizeUI</Panel>
						<Panel>GK::LightingUI</Panel>
						<Panel>GK::GamingModeUI</Panel>
						<Panel>GK::MacroUI</Panel>
					</Category>
				</MainUI>
				<LEDSyncDelayTime>600</LEDSyncDelayTime>
				<MouseCategoryPos0 X="7" Y="182"/>
				<MouseCategoryPos1 X="15" Y="367"/>
				<KeyboardCategoryPos0 X="15" Y="215"/>
				<KeyboardCategoryPos1 X="7" Y="335"/>
				<SingleDevicePos X="7" Y="250"/>
				<SupportSyncLEDMode>
					<Item>BreathingMode</Item>
					<Item>SpectrumCyclingMode</Item>
					<Item>StaticMode</Item>
				</SupportSyncLEDMode>
				<SupportCategory>2</SupportCategory> <!--0x01: only support mouse, 0x02: only support keyboard, 0xFF: support all (so far, mouse and keyboard), use bit OR operation-->
				<SupportLEDSimulator>0</SupportLEDSimulator>
				<MinimizeMode>1</MinimizeMode>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxPrompter" Enable="1">
		<Plugin ID="GF::Message_zh-TW" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_zh-TW"/>
		</Plugin>
		<Plugin ID="GF::Message_zh-CN" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_zh-CN"/>
		</Plugin>
		<Plugin ID="GF::Message_en-US" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_en-US"/>
		</Plugin>
		<Plugin ID="GF::Message_fr-FR" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_fr-FR"/>
		</Plugin>
		<Plugin ID="GF::Message_ge-GE" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_ge-GE"/>
		</Plugin>
		<Plugin ID="GF::Message_sp-SP" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_sp-SP"/>
		</Plugin>
		<Plugin ID="GF::Message_it-IT" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_it-IT"/>
		</Plugin>
		<Plugin ID="GF::Message_hr-HR" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_hr-HR"/>
		</Plugin>
		<Plugin ID="GF::Message_sl-SL" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_sl-SL"/>
		</Plugin>
		<Plugin ID="GF::Message_es-ES" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_es-ES"/>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbMessageProvider" Enable="1">
		<Plugin ID="GF::Message_zh-TW" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_zh-CN" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_en-US" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_fr-FR" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_fr-FR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_ge-GE" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_ge-GE.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_sp-SP" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_sp-SP.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_it-IT" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_it-IT.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_hr-HR" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_hr-HR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_sl-SL" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_sl-SL.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_es-ES" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_es-ES.xml</File>
			</ExtraConfig>
		</Plugin>

		<Plugin ID="GF::UIText_zh-TW" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_zh-CN" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_en-US" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_fr-FR" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_fr-FR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_ge-GE" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_ge-GE.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_sp-SP" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_sp-SP.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_it-IT" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_it-IT.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_hr-HR" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_hr-HR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_sl-SL" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_sl-SL.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_es-ES" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_es-ES.xml</File>
			</ExtraConfig>
		</Plugin>
		
		<Plugin ID="GF::UITooltip_zh-TW" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_zh-CN" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_en-US" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_fr-FR" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_fr-FR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_ge-GE" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_ge-GE.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_sp-SP" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_sp-SP.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_it-IT" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_it-IT.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_hr-HR" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_hr-HR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_sl-SL" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_sl-SL.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_es-ES" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_es-ES.xml</File>
			</ExtraConfig>
		</Plugin>

	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxProvider" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_fr-FR"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_ge-GE"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_sp-SP"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_it-IT"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_hr-HR"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_sl-SL"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_es-ES"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<ExtraConfig>
				<Prefix>GF::Message_</Prefix>
				<Language>es-ES</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_fr-FR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_ge-GE"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_sp-SP"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_it-IT"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_hr-HR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_sl-SL"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_es-ES"/>
			<ExtraConfig>
				<Prefix>GF::UIText_</Prefix>
				<Language>es-ES</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingForceTooltip" Bundle="GamingForceMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_fr-FR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_ge-GE"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_sp-SP"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_it-IT"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_hr-HR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_sl-SL"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_es-ES"/>
			<ExtraConfig>
				<Prefix>GF::UITooltip_</Prefix>
				<Language>es-ES</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbGamingForceLEDSyncer" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceLEDSyncer.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>			
		</Plugin>
	</ExtensionPoint>

	<NextPluginFile>CWT.xml</NextPluginFile>
	<NextPluginFile>Skin.xml</NextPluginFile>
	<NextPluginFile>GK\Entry.xml</NextPluginFile>
	<NextPluginFile>GM\Entry.xml</NextPluginFile>

</File>
